namespace Netina.Core.Abstracts;

public interface ISmsService : IScopedDependency
{
    Task SendVerifyCodeAsync(string phoneNumber, string verifyCode);
    Task SendForgerPasswordAsync(string phoneNumber, string newPassword);
    Task SendLookUpAsync(string phoneNumber, string template, string token, string? token2 = null, string? token3 = null, string? token10 = null, string? token20 = null);
}